Package org.drinkless.tdlib

# Class TdApi.MessagePollOptionDeleted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePollOptionDeleted

Enclosing class:
  `TdApi`

public static class TdApi.MessagePollOptionDeleted extends TdApi.MessageContent
A message with information about a deleted poll option.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `optionId`
  Identifier of the deleted option in the poll.
  `long`
  `pollMessageId`
  Identifier of the message with the poll; can be an identifier of a deleted message or 0.
  `TdApi.FormattedText`
  `text`
  Text of the option; 1-100 characters; may contain only custom emoji entities.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePollOptionDeleted()`
  A message with information about a deleted poll option.
  `MessagePollOptionDeleted(long pollMessageId, String optionId, TdApi.FormattedText text)`
  A message with information about a deleted poll option.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pollMessageId

    public long pollMessageId
    Identifier of the message with the poll; can be an identifier of a deleted message or 0.

  - ### optionId

    public String optionId
    Identifier of the deleted option in the poll.

  - ### text

    public TdApi.FormattedText text
    Text of the option; 1-100 characters; may contain only custom emoji entities.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePollOptionDeleted

    public MessagePollOptionDeleted()
    A message with information about a deleted poll option.

  - ### MessagePollOptionDeleted

    public MessagePollOptionDeleted(long pollMessageId, String optionId, TdApi.FormattedText text)
    A message with information about a deleted poll option.
    Parameters:
      `pollMessageId` - Identifier of the message with the poll; can be an identifier of a deleted message or 0.
      `optionId` - Identifier of the deleted option in the poll.
      `text` - Text of the option; 1-100 characters; may contain only custom emoji entities.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR